Pregunta PHP5.6 y la instalación de APC


¿Cómo instalar APC bajo PHP 5.6?

APC está instalado

apt-get install php-pear php5-dev make libpcre3-dev
pecl install apc

# locate apc.so
/usr/lib/php5/20100525/apc.so

APC se agrega a php.ini

extension=apc.so

Pero APC no se menciona en la salida de phpinfo()

Fatal error: Call to undefined function apc_fetch()

5
2017-11-08 15:23


origen


Respuestas:


APC es (más o menos) un paquete obsoleto (la última versión, 3.1.14, era inestable y tuvo que ser revertido). Ha sido reemplazado por el opcache del paquete principal.

No estoy seguro acerca de los sabores de Debian (todas mis búsquedas devuelven la biblioteca PECL mientras que opcache es nativo de 5.6) pero en CentOS tienes que instalar php-opcache paquete, que contiene el archivo opcahce.so.


7
2017-11-08 15:56



Esto funciona para mi

yum install php56w-pecl-apcu

4
2017-10-29 13:24



Para Amazon Linux, el siguiente comando funcionó para mí.

yum instalar php56-pecl-apcu


3
2017-08-10 12:59